{
  "schema_version": "1.4.0",
  "id": "GHSA-h6qw-35gq-32r3",
  "modified": "2022-05-13T01:20:15Z",
  "published": "2022-05-13T01:20:15Z",
  "aliases": [
    "CVE-2018-4249"
  ],
  "details": "An issue was discovered in certain Apple products. iOS before 11.4 is affected. macOS before 10.13.5 is affected. tvOS before 11.4 is affected. watchOS before 4.3.1 is affected. The issue involves pktmnglr_ipfilter_input in com.apple.packet-mangler in the \"Kernel\" component. It allows attackers to execute arbitrary code in a privileged context or cause a denial of service (integer overflow and stack-based buffer overflow) via a crafted app.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2018-4249"
    },
    {
      "type": "WEB",
      "url": "https://lgtm.com/blog/apple_xnu_packet_mangler_CVE-2017-13904"
    },
    {
      "type": "WEB",
      "url": "https://support.apple.com/HT208848"
    },
    {
      "type": "WEB",
      "url": "https://support.apple.com/HT208849"
    },
    {
      "type": "WEB",
      "url": "https://support.apple.com/HT208850"
    },
    {
      "type": "WEB",
      "url": "https://support.apple.com/HT208851"
    },
    {
      "type": "WEB",
      "url": "http://packetstormsecurity.com/files/172828/Apple-packet-mangler-Remote-Code-Execution.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id/1041027"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190",
      "CWE-787"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2018-06-08T18:29:00Z"
  }
}